---
title: Lists Buyer Intent Activity
slug: lists-buyer-intent-activity
docTags: 
createdAt: 2025-10-10T21:08:35.627Z
---

{
  "id": "e6zLTbUkopITYKSLNYd3W",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://sourceforge.net/rest/p/sfapi/v1/activities",
    "servers": [
      {
        "url": "https://sourceforge.net/rest/p/sfapi/v1/activities"
      }
    ],
    "name": "Lists Buyer Intent Activity",
    "description": "<p>Gets the visitor activity data for a specific Business Software Listing (BSL)</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [
        {
          "kind": "required",
          "name": "bsl_id",
          "type": "integer<int32>",
          "description": "Id of the BSL to query"
        },
        {
          "kind": "optional",
          "name": "segment_id",
          "type": "integer<int32>",
          "description": "Id of the segment to query"
        },
        {
          "kind": "required",
          "name": "date_from",
          "type": "string",
          "description": "<p>Start date. Format needs to be 'YYYY-MM-DD'</p>"
        },
        {
          "kind": "required",
          "name": "date_to",
          "type": "string",
          "description": "<p>End date. Format needs to be 'YYYY-MM-DD'</p>"
        },
        {
          "kind": "optional",
          "name": "contact_level_only",
          "type": "boolean",
          "description": "Filters records to only include those that have contact information"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "bearerAuth",
          "name": "bearerAuth",
          "kind": "optional",
          "type": "http",
          "scheme": "bearer"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Success",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "data",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "visitor",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "example": "",
                    "schema": [
                      {
                        "name": "visitor_id",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "75492bad-74c2-405c-9453-ead3a03b6856"
                      },
                      {
                        "name": "display_name",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "John Doe"
                      },
                      {
                        "name": "email",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "john.doe@mail.com"
                      },
                      {
                        "name": "linkedin_url",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "linkedin.com/in/johndoe"
                      },
                      {
                        "name": "country",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "United States"
                      },
                      {
                        "name": "region",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "North Carolina"
                      },
                      {
                        "name": "city",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "Charlotte"
                      },
                      {
                        "name": "functional_area",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "Education"
                      },
                      {
                        "name": "seniority",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "Management"
                      },
                      {
                        "name": "professional_group",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "IT Professional / Business Professional"
                      }
                    ]
                  },
                  {
                    "name": "activities",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": [
                      {
                        "name": "activity_id",
                        "kind": "optional",
                        "type": "integer<int32>",
                        "description": "",
                        "example": 83206197
                      },
                      {
                        "name": "date",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "2024-06-17"
                      },
                      {
                        "name": "url",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "https://sourceforge.net/software/crm/"
                      },
                      {
                        "name": "target",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "category"
                      },
                      {
                        "name": "type",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "category_page"
                      },
                      {
                        "name": "action",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "view"
                      },
                      {
                        "name": "site_visited",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "SourceForge.net"
                      },
                      {
                        "name": "count",
                        "kind": "optional",
                        "type": "integer",
                        "description": "",
                        "example": 1
                      }
                    ]
                  },
                  {
                    "name": "company",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "example": "",
                    "schema": [
                      {
                        "name": "name",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "Stony Brook University"
                      },
                      {
                        "name": "domain",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "stonybrook.edu"
                      },
                      {
                        "name": "country",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "United States"
                      },
                      {
                        "name": "size",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "Large (1,000 - 4,999 Employees)"
                      },
                      {
                        "name": "industry",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "Education > Colleges & Universities"
                      },
                      {
                        "name": "revenue",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "XXLarge ($1B+)"
                      },
                      {
                        "name": "headquarters",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "USA, Stony Brook"
                      },
                      {
                        "name": "hq_country_code",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "US"
                      },
                      {
                        "name": "hq_state",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "New York"
                      },
                      {
                        "name": "hq_city",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "Stony Brook"
                      },
                      {
                        "name": "hq_postal_code",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "11794"
                      },
                      {
                        "name": "linkedin",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "https://www.linkedin.com/company/7201"
                      }
                    ]
                  }
                ]
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad Request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "Invalid request parameters"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Unauthorized",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "Permission denied"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "Activities not found"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "429",
        "description": "Too Many Requests",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "Rate limit exceeded"
              }
            ],
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "Bvwuby58kVXfusAgtnWhO",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://sourceforge.net/rest/p/sfapi/v1/activities?bsl_id=integer%3Cint32%3E&date_from=string&date_to=string' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "l68_ZA-N2vhp1SxLtGUto",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://sourceforge.net/rest/p/sfapi/v1/activities?bsl_id=integer<int32>&date_from=string&date_to=string\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "MvC6qrFVHUpdpPyQ2QfuF",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://sourceforge.net/rest/p/sfapi/v1/activities?bsl_id=integer<int32>&date_from=string&date_to=string\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "f-x650rhG4MUxSlWeLfh0",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://sourceforge.net/rest/p/sfapi/v1/activities?bsl_id=integer<int32>&date_from=string&date_to=string\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "Bvwuby58kVXfusAgtnWhO"
    },
    "results": {
      "languages": [
        {
          "id": "qYQ-XzsaNgeYSxAVKNo0S",
          "language": "200",
          "code": "// Success\n{\n  \"data\": [\n    {\n      \"visitor\": {\n        \"visitor_id\": \"75492bad-74c2-405c-9453-ead3a03b6856\",\n        \"display_name\": \"John Doe\",\n        \"email\": \"john.doe@mail.com\",\n        \"linkedin_url\": \"linkedin.com/in/johndoe\",\n        \"country\": \"United States\",\n        \"region\": \"North Carolina\",\n        \"city\": \"Charlotte\",\n        \"functional_area\": \"Education\",\n        \"seniority\": \"Management\",\n        \"professional_group\": \"IT Professional / Business Professional\"\n      },\n      \"activities\": [\n        {\n          \"activity_id\": 83206197,\n          \"date\": \"2024-06-17\",\n          \"url\": \"https://sourceforge.net/software/crm/\",\n          \"target\": \"category\",\n          \"type\": \"category_page\",\n          \"action\": \"view\",\n          \"site_visited\": \"SourceForge.net\",\n          \"count\": 1\n        }\n      ],\n      \"company\": {\n        \"name\": \"Stony Brook University\",\n        \"domain\": \"stonybrook.edu\",\n        \"country\": \"United States\",\n        \"size\": \"Large (1,000 - 4,999 Employees)\",\n        \"industry\": \"Education > Colleges & Universities\",\n        \"revenue\": \"XXLarge ($1B+)\",\n        \"headquarters\": \"USA, Stony Brook\",\n        \"hq_country_code\": \"US\",\n        \"hq_state\": \"New York\",\n        \"hq_city\": \"Stony Brook\",\n        \"hq_postal_code\": \"11794\",\n        \"linkedin\": \"https://www.linkedin.com/company/7201\"\n      }\n    }\n  ]\n}"
        },
        {
          "id": "IMD_qCeLLOKPKN_Rq7vkO",
          "language": "400",
          "code": "// Bad Request\n{\n  \"message\": \"Invalid request parameters\"\n}"
        },
        {
          "id": "Y2sE3oWmKFq_4sD9LjWXh",
          "language": "401",
          "code": "// Unauthorized\n{\n  \"message\": \"Permission denied\"\n}"
        },
        {
          "id": "FsyrnGMbb4QG8MAcmbZDs",
          "language": "404",
          "code": "// Not Found\n{\n  \"message\": \"Activities not found\"\n}"
        },
        {
          "id": "tm2qrVA0Nhk7nku2Uiw_T",
          "language": "429",
          "code": "// Too Many Requests\n{\n  \"message\": \"Rate limit exceeded\"\n}"
        }
      ],
      "selectedLanguageId": "qYQ-XzsaNgeYSxAVKNo0S"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}